Extending Qt Creator Manual | FormatDescription

Extending Qt Creator Manual 4.5.2

# FormatDescription Class

(TextEditor::FormatDescription)

- List of all members, including inherited members

## Public Types

enum | ShowControls { ShowForegroundControl, ShowBackgroundControl, ShowFontControls, ShowUnderlineControl, ..., AllControlsExceptUnderline }

## Public Functions

| FormatDescription() = default
| FormatDescription(TextStyle id, const QString &displayName, const QString &tooltipText, ShowControls showControls = AllControls)
| FormatDescription(TextStyle id, const QString &displayName, const QString &tooltipText, const QColor &foreground, ShowControls showControls = AllControls)
| FormatDescription(TextStyle id, const QString &displayName, const QString &tooltipText, const Format &format, ShowControls showControls = AllControls)
| FormatDescription(TextStyle id, const QString &displayName, const QString &tooltipText, const QColor &underlineColor, const QTextCharFormat::UnderlineStyle underlineStyle, ShowControls showControls = AllControls)
QString | displayName() const
const Format & | format() const
Format & | format()
TextStyle | id() const
bool | showControl(ShowControls showControl) const
QString | tooltipText() const

## Static Public Members

QColor | defaultBackground(TextStyle id)
QColor | defaultForeground(TextStyle id)

## Member Type Documentation

### enum FormatDescription::ShowControls

## Member Function Documentation

### `[default]` FormatDescription::FormatDescription()

Default constructs an instance of FormatDescription.

### FormatDescription::FormatDescription(TextStyle id, const QString &displayName, const QString &tooltipText, ShowControls showControls = AllControls)

Default constructs an instance of FormatDescription.

### FormatDescription::FormatDescription(TextStyle id, const QString &displayName, const QString &tooltipText, const QColor &foreground, ShowControls showControls = AllControls)

Default constructs an instance of FormatDescription.

### FormatDescription::FormatDescription(TextStyle id, const QString &displayName, const QString &tooltipText, const Format &format, ShowControls showControls = AllControls)

Default constructs an instance of FormatDescription.

### FormatDescription::FormatDescription(TextStyle id, const QString &displayName, const QString &tooltipText, const QColor &underlineColor, const QTextCharFormat::UnderlineStyle underlineStyle, ShowControls showControls = AllControls)

Default constructs an instance of FormatDescription.

### `[static]` QColor FormatDescription::defaultBackground(TextStyle id)

### `[static]` QColor FormatDescription::defaultForeground(TextStyle id)

### QString FormatDescription::displayName() const

### const Format &FormatDescription::format() const

### Format &FormatDescription::format()

### TextStyle FormatDescription::id() const

### bool FormatDescription::showControl(ShowControls showControl) const

### QString FormatDescription::tooltipText() const